<?php
session_start(); 
  include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
	   $id_cd=$sesion->id;
extract($_POST);

$continuar=0;
$prod=array();

$qp3 = "select id_inv, fechai, horai, realizo, observaciones from invreg where id_cd=$id_cd order by fechai DESC";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp3 = mysqli_fetch_object($cp3);	
if(mysqli_affected_rows($conexion))
{

	$id_inv = $rp3->id_inv;
	$fechai = $rp3->fechai;
    $horai = $rp3->horai;
$realizo = $rp3->realizo;
    $observaciones = $rp3->observaciones;
	
$qp31 = "select curdate() as lafech";
   $cp31 = mysqli_query($conexion, $qp31) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp31 = mysqli_fetch_object($cp31);	
	$hoy = $rp31->lafech;
	/*
$qp32 = "select nombre from usuarios_ci where idusuarios_ci=$entrega";
   $cp32 = mysqli_query($conexion, $qp32) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp32 = mysqli_fetch_object($cp32);	
	$nomentrega = $rp32->nombre;
 
$qPP = "select id_prod, nombreProd, cant from pedido join productos on pedido.productos_idprod=productos.id_prod where transacciones_idtransacciones=$trans order by nombreProd";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));

*/

echo "<center><br><font color=\"#000099\" size=\"+3\"><b>Realizar Inventario F&iacute;sico1</b></font><br><br>
&Uacute;ltimo inventario realizado el d&iacute;a: <b>$fechai</b> a las <b>$horai</b><br>
Inventario Realizado por: <b>$realizo</b><br>
Comentarios: <b>$observaciones</b><br>";
 
$qPP = "select id_prod, nombreProd, cants, cantf from inventario join productos on inventario.productos_id_prod=productos.id_prod join invreg on invreg.id_inv=inventario.id_inv where invreg.id_inv=$id_inv order by id_prod";
	

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
  
if(mysqli_affected_rows($conexion))
{
	echo "
			
	<table border=\"1\" align=\"center\"><tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">Id</font></th><th><font color=\"#FFFFFF\">Producto</font></th><th><font color=\"#FFFFFF\">Cant Sist</font></th><th><font color=\"#FFFFFF\">Cant Real</font></th></tr>";
	
	while (($objetoPP=mysqli_fetch_object($rPP)) )
{
$idprodt=$objetoPP->id_prod;
	echo "<tr bgcolor=\"#ece3bb\">
			 <td>$objetoPP->id_prod</td><td align=\"center\">$objetoPP->nombreProd</td><td align=\"center\"> $objetoPP->cants</td><td align=\"center\"> $objetoPP->cantf</td>";
             $prod[$idprodt]=$objetoPP->cantf;
			
       
	echo"
		  </tr> ";

		    
}
	
   
   
   echo"</table><br>";
}

	$qPP = "select id_prod, nombreProd, sum(cant) as eltot from pedido join productos on pedido.productos_idprod=productos.id_prod join transacciones on pedido.transacciones_idtransacciones=transacciones.idtransacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones where `usuarios_ci_idusuarios_ci`=$id_cd and `tipostr_idtipostr`=5 and status='ENTREGADO' and fechat between '$fechai' and curdate() group by id_prod";
	

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
  
if(mysqli_affected_rows($conexion))
{
	echo "
				<center><font size=\"+1\"><b>Resumen de entradas por pedidos de stock</b></font>
	<br><table border=\"1\" align=\"center\"><tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">Id</font></th><th><font color=\"#FFFFFF\">Producto</font></th><th><font color=\"#FFFFFF\">Cantidad</font></th></tr>";
	
	while (($objetoPP=mysqli_fetch_object($rPP)) )
{
$idprodt=$objetoPP->id_prod;
	echo "<tr bgcolor=\"#E0EFD6\">
			 <td>$objetoPP->id_prod</td><td align=\"center\">$objetoPP->nombreProd</td><td align=\"center\"> $objetoPP->eltot</td>";
             $prod[$idprodt]+=$objetoPP->eltot;
			
       
	echo"
		  </tr> ";

		    
}
	
   
   
   echo"</table><br>";
   
   
   
   
}
$qPP = "select id_prod, nombreProd, sum(cant) as eltot from pedido join productos on pedido.productos_idprod=productos.id_prod join transacciones on pedido.transacciones_idtransacciones=transacciones.idtransacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones where centros_idcd=$id_cd and `tipostr_idtipostr`=5 and (status='ENTREGADO' or status='AUTORIZADO') and fechat between '$fechai' and curdate() group by id_prod";
	

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
  
if(mysqli_affected_rows($conexion))
{
	echo "
				<center><font size=\"+1\"><b>Resumen de salidas por pedidos de stock</b></font>
	<br><table border=\"1\" align=\"center\"><tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">Id</font></th><th><font color=\"#FFFFFF\">Producto</font></th><th><font color=\"#FFFFFF\">Cantidad</font></th></tr>";
	
	while (($objetoPP=mysqli_fetch_object($rPP)) )
{$idprodt=$objetoPP->id_prod;

	echo "<tr bgcolor=\"#FFD9D9\">
			 <td>$objetoPP->id_prod</td><td align=\"center\">$objetoPP->nombreProd</td><td align=\"center\"> $objetoPP->eltot</td>";
             
			$prod[$idprodt]-=$objetoPP->eltot;
       
	echo"
		  </tr> ";

		    
}
	
   
   
   echo"</table><br>";
   
   
   
   
}
/*
$q2 = "select sum(cant), nombreprod, id_prod from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where 	transacciones.cdentrega='".$id_cd."' and usuarios_ci_idusuarios_ci=$id_cd and statusentrega='ENTREGADO' and fechae between \"$fechai\" and curdate() group by productos_idprod";
*/
$q2 = "select sum(cant), nombreprod, id_prod from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where usuarios_ci_idusuarios_ci=$id_cd and cdentrega=$id_cd and statusentrega='ENTREGADO' and (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=13) and fechat between \"$fechai\" and curdate() group by productos_idprod order by id_prod";

  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
if(mysqli_affected_rows($conexion))
{
  echo"<font size=\"+1\"><b>Salidas por ventas de mi centro</b></font>
	<br><table border=\"1\" align=\"center\"><tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">Id</font></th><th><font color=\"#FFFFFF\">Producto</font></th><th><font color=\"#FFFFFF\">Cantidad</font></th></tr>";

  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)

   {

	   $a0 = $r1[0];

	   $a1 = $r1[1];

	   $a2 = $r1[2];

	   
$prod[$a2]-=$a0;
	 
echo"<tr bgcolor=\"#FFD9D9\"><td>$a2</td><td>$a1</td><td align=\"center\">$a0</td></tr>";

	}

	echo"</table><br>";

}

$q21 = "select sum(cant), nombreprod, id_prod, usuarios_ci_idusuarios_ci from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where usuarios_ci_idusuarios_ci!=$id_cd and cdentrega=$id_cd and (statusentrega='ENTREGADO' or statusentrega='EMPACADO') and (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=13) and fechat between \"$fechai\" and curdate() group by productos_idprod order by id_prod";

  $c21 = mysqli_query($conexion, $q21) or die ('Error en la consulta' . mysqli_error($conexion));
if(mysqli_affected_rows($conexion))
{
  echo"<font size=\"+1\"><b>Salidas por ventas otros centros</b></font>
	<br><table border=\"1\" align=\"center\"><tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">CD</font></th><th><font color=\"#FFFFFF\">Id</font></th><th><font color=\"#FFFFFF\">Producto</font></th><th><font color=\"#FFFFFF\">Cantidad</font></th></tr>";

  for($i=0;$r11 = mysqli_fetch_row($c21);$i++)

   {

	   $a01 = $r11[0];

	   $a11 = $r11[1];

	   $a21 = $r11[2];
 $a31 = $r11[3];
	   
$prod[$a21]-=$a01;
	 
echo"<tr bgcolor=\"#FFD9D9\"><td>$a31</td><td>$a21</td><td>$a11</td><td align=\"center\">$a01</td></tr>";

	}

	echo"</table><br>";

}

$qPP = "select id_prod, nombreProd, cantidad from stock join productos on stock.idprod=productos.id_prod where idcd='$id_cd' order by id_prod";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));



echo "<center><font size=\"+2\"><b>Existencias de producto al d&iacute;a: $hoy</b></font><br> Para hacer inventario f&iacute;sico favor de llenar los campos de inventario real
<form name=\"Selec_Prod_Pedido\" action=\"hacerinventario2.php\" method=\"post\">
<table border=\"1\">
<th>ID</th><th>Descripci&oacute;n</th><th>Cant Existencias</th><th>Cant Sistema</th><th>Cant Real</th>";



while (($objetoPP=mysqli_fetch_object($rPP)) )

{
$i=$objetoPP->id_prod;
	echo "<tr>

	
			<td align=\"center\">$objetoPP->id_prod</td> <td align=\"center\">$objetoPP->nombreProd</td>
			
			<td align=\"center\" bgcolor=\"#e8d78d\">$objetoPP->cantidad</td>
			<td align=\"center\">$prod[$i]</td>
			<td align=\"center\"><input type=\"text\" name=cant$i size=\"4\" maxlength=\"5\"></td>

		

		  </tr> 

		 ";

   

}
$serialized = serialize($prod);
$strenc = urlencode($serialized);
	echo"</table>
	<input type=hidden name=cantsis value=\"$strenc\">
	<br>
	<input type=\"submit\" value=\"Hacer Inventario F&iacute;sico\" name=\"hacer_pedido\"></form></center><br><br>";   




}else{
	
	
	
	
$qp31 = "select curdate() as lafech";
   $cp31 = mysqli_query($conexion, $qp31) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp31 = mysqli_fetch_object($cp31);	
	$hoy = $rp31->lafech;	
	echo "<center><br><font color=\"#000099\" size=\"+3\"><b>Realizar Inventario F&iacute;sico</b></font><br><br>
<b>No contamos con ning&uacute;n registro de inventario de este centro<br>
es necesario dar de alta inventario inicial para continuar</b><br>";
	
	$qPP = "select id_prod, nombreProd, cantidad from stock join productos on stock.idprod=productos.id_prod where idcd='$id_cd' order by id_prod";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));



echo "<center><br><br><font size=\"+2\"><b>Inicio de inventario al $hoy</b></font><br> Para hacer inventario f&iacute;sico favor de llenar los campos
<form name=\"Selec_Prod_Pedido\" action=\"hacerinventario2ini.php\" method=\"post\">
<table border=\"1\">
<th>ID</th><th>Descripci&oacute;n</th><th>Existencias</th><th>Cant Inicial</th>";



while (($objetoPP=mysqli_fetch_object($rPP)) )

{
$i=$objetoPP->id_prod;
	echo "<tr>

	
			<td align=\"center\">$objetoPP->id_prod</td> <td align=\"center\">$objetoPP->nombreProd</td>
			
			<td align=\"center\" bgcolor=\"#e8d78d\">$objetoPP->cantidad</td>
			
			<td align=\"center\"><input type=\"text\" name=cant$i size=\"4\" maxlength=\"6\"></td>

		

		  </tr> 

		 ";

   
}
	
	
	echo"</table><br><br><input type=\"submit\" value=\"Armar kits\" name=\"hacer_pedido\"></form></center><br><br>";
	
	
	
}
?>

